SDL_HapticLeftRight Struct Reference

A structure containing a template for a Left/Right effect. More...

`#include <SDL_haptic.h>`

## Data Fields

Uint16 | type
Uint32 | length
Uint16 | large_magnitude
Uint16 | small_magnitude

## Detailed Description

A structure containing a template for a Left/Right effect.

This struct is exclusively for the SDL_HAPTIC_LEFTRIGHT effect.

The Left/Right effect is used to explicitly control the large and small motors, commonly found in modern game controllers. One motor is high frequency, the other is low frequency.

See also
  SDL_HAPTIC_LEFTRIGHT
  SDL_HapticEffect

Definition at line 663 of file SDL_haptic.h.

## Field Documentation

Uint16 SDL_HapticLeftRight::large_magnitude

Control of the large controller motor.

Definition at line 672 of file SDL_haptic.h.

Referenced by main(), SDL_HapticRumbleInit(), and SDL_HapticRumblePlay().

Uint32 SDL_HapticLeftRight::length

Duration of the effect.

Definition at line 669 of file SDL_haptic.h.

Referenced by main(), SDL_HapticRumbleInit(), and SDL_HapticRumblePlay().

Uint16 SDL_HapticLeftRight::small_magnitude

Control of the small controller motor.

Definition at line 673 of file SDL_haptic.h.

Referenced by main(), SDL_HapticRumbleInit(), and SDL_HapticRumblePlay().

Uint16 SDL_HapticLeftRight::type

SDL_HAPTIC_LEFTRIGHT

Definition at line 666 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- include/SDL_haptic.h